Bug 141796 - Multiline text-boxes hide text.
Multiline text-boxes hide text.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 15:23 EST by Colin Stewart
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.0-3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 07:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Stewart 2004-12-03 15:23:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When a multiline text box is displayed in an OO form, and the text
selected then un-selecting the text causes it to disappear from the
screen.

Only the selected text disappears, any un-selected text remains.  By
changing the background colour of the text box to something other than
white it is easy to see that the text is still present, but changes
colour from foreground colour to white.

This bug is not present in the offical OpenOffice 1.1.3 distribution,
only in the Fedora version of 1.1.2.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-11.5.fc3

How reproducible:
Always

Steps to Reproduce:
1. Enable the Form function bar and create a Text Box.
2. Set the Form properties to use the biblio table in the Bibliograph
data source (or any other data source)
3. Change the Text Box control properties so that Multiline is "yes"
and the data is from a suitable field (e.g. Title)
4. Turn off design mode and scroll through the records, occasionally
un-selecting the text in the box.
    

Actual Results:  The unselected text disappears.

Expected Results:  The text should remain and be editable.

Additional info:

This bug makes using Forms almost impossible and can easily lead to
significant data loss as the user is unable to see what they are
editing in the text fields.

Note You need to log in before you can comment on or make changes to this bug.